{ self, inputs, ... }:
{
  flake.nixosModules.sysFetch = { pkgs, lib, ... }: {
    environment.systemPackages = with pkgs; [ fastfetch ];
  };

  flake.homeModules.sysFetch = { pkgs, lib, ... }: {
    programs.fastfetch = {
      enable = true;
      package = pkgs.fastfetch; #self.packages.${pkgs.stdenv.hostPlatform.system}.myFastfetch;
    };
  };

  perSystem = { pkgs, lib, ... }: {
    packages.myFastfetch = inputs.wrapper-modules.wrappers.fastfetch.wrap {
      inherit pkgs;
      settings = {
        logo = {
          type = "small";
        };
        modules = [
          "DateTime"
          "Battery"
          "CPU"
          "GPU"
          "Memory"
          "Host"
          "Media"
        ];
        pecent-type = 2;
      };
    };
  };

}
